Skip to content

List Volumes ​

Returns a list of your existing volumes, providing details for each. For more information on volumes, click here.

HTTP Request ​

GET {API_URL}/volumes

Query string parameters ​

ParametersRequirementsTypeDescription
limitOptionalintThe number of items to return
offsetOptionalintThe number of items to skip before starting to collect the result set
sortFieldOptionalstringThe field by which the data will be ordered
sortOrderOptionalstringSorting order: desc、asc
filtersOptionalstringStringified array of filter objects. eg: [{"key":"name","op":"contains","val":"hub"}]

Reponse Attributes ​

status boolean ​

Indicates the success or failure of the operation. true indicates success, while false indicates an error.

message string ​

A message confirming the status of the request to retrieve a list of existing volumes.

data array ​

An array containing volumes objects each containing details about a volume.

For descriptions of the fields within the volumes object returned in response to your request, please refer to the documentation here.

Example ​

Request ​

curl -X GET '{API_URL}volumes' \
-H 'Authorization: Bearer {API_TOKEN}' \
-H 'Content-Type: application/json'

Response ​

{
    "status": true,
    "message": "Volumes retrieved successfully",
    "data": [
        {
            "id": "68956b892b54490029a9d3a7",
            "display_name": "volume-20250808-111409",
            "name": "test-snappy-insidious-top",
            "size_gb": 10,
            "status": "available",
            "bootable": false,
            "description": "",
            "region": "NORWAY-1",
            "created_time": 1754622879
        }
    ]
}